Manifest-Version: 1.0
Ant-Version: Apache Ant 1.10.9
Created-By: 1.8.0_381 (Oracle Corporation)
Bnd-LastModified: 1742261320454
Bundle-ClassPath: .,lib/classmate-1.4.0.jar,lib/jackson-dataformat-xml
 -2.9.8.jar,lib/jackson-dataformat-yaml-2.9.8.jar,lib/jackson-datatype
 -jdk8-2.9.8.jar,lib/jackson-jaxrs-xml-provider-2.9.8.jar,lib/jackson-
 module-jaxb-annotations-2.9.8.jar,lib/failureaccess-1.0.1.jar,lib/gua
 va-30.1.1-jre.jar,lib/graphql-java-12.0.jar,lib/java-dataloader-2.1.1
 .jar,lib/graphql-java-servlet-7.5.0.jar,lib/commons-codec-1.15.jar,li
 b/graphql-java-annotations-7.0.1.jar,lib/swagger-core-2.0.6.jar,lib/s
 wagger-integration-2.0.6.jar,lib/swagger-jaxrs2-2.0.6.jar,lib/antlr4-
 runtime-4.7.1.jar,lib/commons-lang3-3.8.jar,lib/hibernate-validator-6
 .1.5.Final.jar,lib/javassist-3.23.1-GA.jar,lib/reactive-streams-1.0.2
 .jar,lib/reflections-0.9.11.jar,lib/snakeyaml-1.31.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Vulcan Implementation
Bundle-SymbolicName: com.liferay.portal.vulcan.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.51.hotfix-6515-7413
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.faste
 rxml.jackson.annotation;version="2.13",com.fasterxml.jackson.core;ver
 sion="2.13",com.fasterxml.jackson.core.base;version="2.13",com.faster
 xml.jackson.core.format;version="2.13",com.fasterxml.jackson.core.io;
 version="2.13",com.fasterxml.jackson.core.json;version="2.13",com.fas
 terxml.jackson.core.type;version="2.13",com.fasterxml.jackson.core.ut
 il;version="2.13",com.fasterxml.jackson.databind;version="2.13",com.f
 asterxml.jackson.databind.annotation;version="2.13",com.fasterxml.jac
 kson.databind.cfg;version="2.13",com.fasterxml.jackson.databind.deser
 ;version="2.13",com.fasterxml.jackson.databind.deser.std;version="2.1
 3",com.fasterxml.jackson.databind.exc;version="2.13",com.fasterxml.ja
 ckson.databind.introspect;version="2.13",com.fasterxml.jackson.databi
 nd.jsonFormatVisitors;version="2.13",com.fasterxml.jackson.databind.j
 sontype;version="2.13",com.fasterxml.jackson.databind.jsontype.impl;v
 ersion="2.13",com.fasterxml.jackson.databind.module;version="2.13",co
 m.fasterxml.jackson.databind.node;version="2.13",com.fasterxml.jackso
 n.databind.ser;version="2.13",com.fasterxml.jackson.databind.ser.impl
 ;version="2.13",com.fasterxml.jackson.databind.ser.std;version="2.13"
 ,com.fasterxml.jackson.databind.type;version="2.13",com.fasterxml.jac
 kson.databind.util;version="2.13",com.fasterxml.jackson.jaxrs.base,co
 m.fasterxml.jackson.jaxrs.cfg,com.fasterxml.jackson.jaxrs.json;versio
 n="2.9",com.liferay.batch.engine;version="5.1",com.liferay.batch.engi
 ne.pagination;version="1.0",com.liferay.batch.engine.strategy;version
 ="1.0",com.liferay.depot.service;version="1.9",com.liferay.document.l
 ibrary.kernel.util;version="7.0",com.liferay.headless.batch.engine.dt
 o.v1_0;version="2.6",com.liferay.headless.batch.engine.resource.v1_0;
 version="6.0",com.liferay.osgi.service.tracker.collections.map;versio
 n="2.2",com.liferay.osgi.util;version="2.3",com.liferay.petra.functio
 n;version="1.5",com.liferay.petra.lang;version="1.3",com.liferay.petr
 a.reflect;version="1.5",com.liferay.petra.string;version="1.7",com.li
 feray.portal.configuration.metatype.annotations;version="1.5",com.lif
 eray.portal.configuration.persistence.listener;version="1.1",com.life
 ray.portal.kernel.bean;version="10.0",com.liferay.portal.kernel.chang
 e.tracking;version="2.1",com.liferay.portal.kernel.exception;version=
 "12.2",com.liferay.portal.kernel.json;version="10.1",com.liferay.port
 al.kernel.language;version="11.0",com.liferay.portal.kernel.log;versi
 on="7.1",com.liferay.portal.kernel.model;version="20.0",com.liferay.p
 ortal.kernel.search;version="13.0",com.liferay.portal.kernel.search.f
 ilter;version="1.0",com.liferay.portal.kernel.security.auth;version="
 5.0",com.liferay.portal.kernel.service;version="15.0",com.liferay.por
 tal.kernel.transaction;version="8.1",com.liferay.portal.kernel.util;v
 ersion="40.2",com.liferay.portal.odata.entity;version="2.0",com.lifer
 ay.portal.odata.filter;version="1.1",com.liferay.portal.odata.filter.
 expression;version="2.1",com.liferay.portal.odata.sort;version="1.2",
 com.liferay.portal.spring.transaction,com.liferay.portal.vulcan.accep
 t.language;version="1.1",com.liferay.portal.vulcan.aggregation;versio
 n="1.2",com.liferay.portal.vulcan.batch.engine;version="2.0",com.life
 ray.portal.vulcan.batch.engine.resource;version="1.0",com.liferay.por
 tal.vulcan.dto.converter;version="1.8",com.liferay.portal.vulcan.exte
 nsion;version="4.0",com.liferay.portal.vulcan.extension.validation;ve
 rsion="1.0",com.liferay.portal.vulcan.fields;version="1.5",com.lifera
 y.portal.vulcan.graphql.annotation;version="1.2",com.liferay.portal.v
 ulcan.graphql.contributor;version="1.1",com.liferay.portal.vulcan.gra
 phql.dto;version="1.3",com.liferay.portal.vulcan.graphql.dto.v1_0;ver
 sion="1.0",com.liferay.portal.vulcan.graphql.servlet;version="1.1",co
 m.liferay.portal.vulcan.jaxrs;version="1.0",com.liferay.portal.vulcan
 .jaxrs.exception.mapper;version="1.2",com.liferay.portal.vulcan.multi
 part;version="1.0",com.liferay.portal.vulcan.openapi;version="2.0",co
 m.liferay.portal.vulcan.pagination;version="1.4",com.liferay.portal.v
 ulcan.resource;version="1.3",com.liferay.portal.vulcan.status;version
 ="1.0",com.liferay.portal.vulcan.util;version="3.5",io.swagger.v3.oas
 .annotations;version="2.0",io.swagger.v3.oas.annotations.callbacks;ve
 rsion="2.0",io.swagger.v3.oas.annotations.enums;version="2.0",io.swag
 ger.v3.oas.annotations.extensions;version="2.0",io.swagger.v3.oas.ann
 otations.headers;version="2.0",io.swagger.v3.oas.annotations.info;ver
 sion="2.0",io.swagger.v3.oas.annotations.links;version="2.0",io.swagg
 er.v3.oas.annotations.media;version="2.0",io.swagger.v3.oas.annotatio
 ns.parameters;version="2.0",io.swagger.v3.oas.annotations.responses;v
 ersion="2.0",io.swagger.v3.oas.annotations.security;version="2.0",io.
 swagger.v3.oas.annotations.servers;version="2.0",io.swagger.v3.oas.an
 notations.tags;version="2.0",io.swagger.v3.oas.models;version="2.0",i
 o.swagger.v3.oas.models.callbacks;version="2.0",io.swagger.v3.oas.mod
 els.examples;version="2.0",io.swagger.v3.oas.models.headers;version="
 2.0",io.swagger.v3.oas.models.info;version="2.0",io.swagger.v3.oas.mo
 dels.links;version="2.0",io.swagger.v3.oas.models.media;version="2.0"
 ,io.swagger.v3.oas.models.parameters;version="2.0",io.swagger.v3.oas.
 models.responses;version="2.0",io.swagger.v3.oas.models.security;vers
 ion="2.0",io.swagger.v3.oas.models.servers;version="2.0",io.swagger.v
 3.oas.models.tags;version="2.0",javax.activation,javax.annotation;ver
 sion="1.3",javax.crypto,javax.crypto.spec,javax.el,javax.persistence,
 javax.script,javax.security.auth,javax.servlet,javax.servlet.http,jav
 ax.validation;version="2.0",javax.validation.bootstrap;version="2.0",
 javax.validation.constraints;version="2.0",javax.validation.constrain
 tvalidation;version="2.0",javax.validation.executable;version="2.0",j
 avax.validation.groups;version="2.0",javax.validation.metadata;versio
 n="2.0",javax.validation.spi;version="2.0",javax.validation.valueextr
 action;version="2.0",javax.websocket,javax.websocket.server,javax.ws.
 rs;version="2.1",javax.ws.rs.container;version="2.1",javax.ws.rs.core
 ;version="2.1",javax.ws.rs.ext;version="2.1",javax.xml.bind,javax.xml
 .bind.annotation,javax.xml.bind.annotation.adapters,javax.xml.namespa
 ce,javax.xml.parsers,javax.xml.stream,javax.xml.stream.events,javax.x
 ml.transform,javax.xml.transform.stream,javax.xml.validation,org.apac
 he.commons.fileupload;version="1.3",org.apache.commons.fileupload.dis
 k;version="1.3",org.apache.commons.fileupload.servlet;version="1.3",o
 rg.apache.commons.fileupload.util;version="1.3",org.apache.cxf.common
 .util;version="3.4",org.apache.cxf.interceptor;version="3.4",org.apac
 he.cxf.jaxrs.ext;version="3.4",org.apache.cxf.jaxrs.impl;version="3.4
 ",org.apache.cxf.jaxrs.lifecycle;version="3.4",org.apache.cxf.jaxrs.m
 odel;version="3.4",org.apache.cxf.jaxrs.provider;version="3.4",org.ap
 ache.cxf.jaxrs.utils;version="3.4",org.apache.cxf.message;version="3.
 4",org.apache.cxf.phase;version="3.4",org.apache.cxf.validation;versi
 on="3.4",org.codehaus.stax2,org.codehaus.stax2.io,org.codehaus.stax2.
 ri,org.dom4j,org.dom4j.io,org.jboss.logging,org.osgi.framework;versio
 n="1.8",org.osgi.service.cm;version="1.6",org.osgi.service.component.
 runtime;version="1.4",org.osgi.service.component.runtime.dto;version=
 "1.4",org.osgi.service.http.context;version="1.0",org.osgi.util.promi
 se;version="1.1",org.osgi.util.tracker;version="1.5",org.slf4j,org.sp
 ringframework.transaction.interceptor,org.w3c.dom,org.xml.sax,sun.mis
 c
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Vulcan
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.vulcan.internal.accept.language,co
 m.liferay.portal.vulcan.internal.batch.engine,com.liferay.portal.vulc
 an.internal.batch.engine.resource,com.liferay.portal.vulcan.internal.
 configuration,com.liferay.portal.vulcan.internal.configuration.persis
 tence.listener,com.liferay.portal.vulcan.internal.configuration.util,
 com.liferay.portal.vulcan.internal.dto.converter,com.liferay.portal.v
 ulcan.internal.extension,com.liferay.portal.vulcan.internal.extension
 .util,com.liferay.portal.vulcan.internal.fields.servlet,com.liferay.p
 ortal.vulcan.internal.graphql.servlet,com.liferay.portal.vulcan.inter
 nal.jackson.databind.ser,com.liferay.portal.vulcan.internal.jaxrs,com
 .liferay.portal.vulcan.internal.jaxrs.container.request.filter,com.li
 feray.portal.vulcan.internal.jaxrs.container.response.filter,com.life
 ray.portal.vulcan.internal.jaxrs.context.provider,com.liferay.portal.
 vulcan.internal.jaxrs.context.resolver,com.liferay.portal.vulcan.inte
 rnal.jaxrs.dynamic.feature,com.liferay.portal.vulcan.internal.jaxrs.e
 xception.mapper,com.liferay.portal.vulcan.internal.jaxrs.extension,co
 m.liferay.portal.vulcan.internal.jaxrs.feature,com.liferay.portal.vul
 can.internal.jaxrs.message.body,com.liferay.portal.vulcan.internal.ja
 xrs.param.converter.provider,com.liferay.portal.vulcan.internal.jaxrs
 .serializer,com.liferay.portal.vulcan.internal.jaxrs.validation,com.l
 iferay.portal.vulcan.internal.jaxrs.writer.interceptor,com.liferay.po
 rtal.vulcan.internal.multipart,com.liferay.portal.vulcan.internal.par
 am.converter,com.liferay.portal.vulcan.internal.param.converter.provi
 der,com.liferay.portal.vulcan.internal.resource,lib,com.fasterxml.cla
 ssmate,com.fasterxml.classmate.members,com.fasterxml.classmate.types,
 com.fasterxml.classmate.util,com.fasterxml.jackson.dataformat.xml,com
 .fasterxml.jackson.dataformat.xml.annotation,com.fasterxml.jackson.da
 taformat.xml.deser,com.fasterxml.jackson.dataformat.xml.jaxb,com.fast
 erxml.jackson.dataformat.xml.ser,com.fasterxml.jackson.dataformat.xml
 .util,com.fasterxml.jackson.dataformat.yaml,com.fasterxml.jackson.dat
 aformat.yaml.snakeyaml.error,com.fasterxml.jackson.datatype.jdk8,com.
 fasterxml.jackson.jaxrs.xml,com.fasterxml.jackson.module.jaxb,com.fas
 terxml.jackson.module.jaxb.deser,com.fasterxml.jackson.module.jaxb.se
 r,com.google.common.util.concurrent.internal,com.google.common.annota
 tions,com.google.common.base,com.google.common.base.internal,com.goog
 le.common.cache,com.google.common.collect,com.google.common.escape,co
 m.google.common.eventbus,com.google.common.graph,com.google.common.ha
 sh,com.google.common.html,com.google.common.io,com.google.common.math
 ,com.google.common.net,com.google.common.primitives,com.google.common
 .reflect,com.google.common.util.concurrent,com.google.common.xml,com.
 google.thirdparty.publicsuffix,graphql,graphql.analysis,graphql.cache
 control,graphql.execution,graphql.execution.batched,graphql.execution
 .defer,graphql.execution.instrumentation,graphql.execution.instrument
 ation.dataloader,graphql.execution.instrumentation.fieldvalidation,gr
 aphql.execution.instrumentation.nextgen,graphql.execution.instrumenta
 tion.parameters,graphql.execution.instrumentation.tracing,graphql.exe
 cution.nextgen,graphql.execution.nextgen.result,graphql.execution.pre
 parsed,graphql.execution.reactive,graphql.introspection,graphql.langu
 age,graphql.nextgen,graphql.parser,graphql.parser.antlr,graphql.relay
 ,graphql.schema,graphql.schema.diff,graphql.schema.diff.reporting,gra
 phql.schema.idl,graphql.schema.idl.errors,graphql.schema.validation,g
 raphql.schema.visibility,graphql.util,graphql.validation,graphql.vali
 dation.rules,org.dataloader,org.dataloader.impl,org.dataloader.stats,
 graphql.servlet,graphql.servlet.internal,org.apache.commons.codec,org
 .apache.commons.codec.binary,org.apache.commons.codec.cli,org.apache.
 commons.codec.digest,org.apache.commons.codec.language,org.apache.com
 mons.codec.language.bm,org.apache.commons.codec.net,graphql.annotatio
 ns,graphql.annotations.annotationTypes,graphql.annotations.connection
 ,graphql.annotations.connection.exceptions,graphql.annotations.connec
 tion.simple,graphql.annotations.dataFetchers,graphql.annotations.data
 Fetchers.connection,graphql.annotations.directives,graphql.annotation
 s.directives.creation,graphql.annotations.processor,graphql.annotatio
 ns.processor.directives,graphql.annotations.processor.exceptions,grap
 hql.annotations.processor.graphQLProcessors,graphql.annotations.proce
 ssor.retrievers,graphql.annotations.processor.retrievers.fieldBuilder
 s,graphql.annotations.processor.retrievers.fieldBuilders.field,graphq
 l.annotations.processor.retrievers.fieldBuilders.method,graphql.annot
 ations.processor.searchAlgorithms,graphql.annotations.processor.typeB
 uilders,graphql.annotations.processor.typeFunctions,graphql.annotatio
 ns.processor.util,graphql.annotations.strategies,graphql.annotations.
 typeResolvers,io.swagger.v3.core.converter,io.swagger.v3.core.filter,
 io.swagger.v3.core.jackson,io.swagger.v3.core.jackson.mixin,io.swagge
 r.v3.core.model,io.swagger.v3.core.util,io.swagger.v3.oas.integration
 ,io.swagger.v3.oas.integration.api,io.swagger.v3.jaxrs2,io.swagger.v3
 .jaxrs2.ext,io.swagger.v3.jaxrs2.integration,io.swagger.v3.jaxrs2.int
 egration.api,io.swagger.v3.jaxrs2.integration.resources,io.swagger.v3
 .jaxrs2.util,org.antlr.v4.runtime,org.antlr.v4.runtime.atn,org.antlr.
 v4.runtime.dfa,org.antlr.v4.runtime.misc,org.antlr.v4.runtime.tree,or
 g.antlr.v4.runtime.tree.pattern,org.antlr.v4.runtime.tree.xpath,org.a
 pache.commons.lang3,org.apache.commons.lang3.arch,org.apache.commons.
 lang3.builder,org.apache.commons.lang3.concurrent,org.apache.commons.
 lang3.event,org.apache.commons.lang3.exception,org.apache.commons.lan
 g3.math,org.apache.commons.lang3.mutable,org.apache.commons.lang3.ref
 lect,org.apache.commons.lang3.text,org.apache.commons.lang3.text.tran
 slate,org.apache.commons.lang3.time,org.apache.commons.lang3.tuple,or
 g.hibernate.validator,org.hibernate.validator.cfg,org.hibernate.valid
 ator.cfg.context,org.hibernate.validator.cfg.defs,org.hibernate.valid
 ator.cfg.defs.br,org.hibernate.validator.cfg.defs.pl,org.hibernate.va
 lidator.constraints,org.hibernate.validator.constraints.br,org.hibern
 ate.validator.constraints.pl,org.hibernate.validator.constraints.time
 ,org.hibernate.validator.constraintvalidation,org.hibernate.validator
 .constraintvalidators,org.hibernate.validator.engine,org.hibernate.va
 lidator.group,org.hibernate.validator.internal,org.hibernate.validato
 r.internal.cfg.context,org.hibernate.validator.internal.constraintval
 idators,org.hibernate.validator.internal.constraintvalidators.bv,org.
 hibernate.validator.internal.constraintvalidators.bv.money,org.hibern
 ate.validator.internal.constraintvalidators.bv.notempty,org.hibernate
 .validator.internal.constraintvalidators.bv.number,org.hibernate.vali
 dator.internal.constraintvalidators.bv.number.bound,org.hibernate.val
 idator.internal.constraintvalidators.bv.number.bound.decimal,org.hibe
 rnate.validator.internal.constraintvalidators.bv.number.sign,org.hibe
 rnate.validator.internal.constraintvalidators.bv.size,org.hibernate.v
 alidator.internal.constraintvalidators.bv.time,org.hibernate.validato
 r.internal.constraintvalidators.bv.time.future,org.hibernate.validato
 r.internal.constraintvalidators.bv.time.futureorpresent,org.hibernate
 .validator.internal.constraintvalidators.bv.time.past,org.hibernate.v
 alidator.internal.constraintvalidators.bv.time.pastorpresent,org.hibe
 rnate.validator.internal.constraintvalidators.hv,org.hibernate.valida
 tor.internal.constraintvalidators.hv.br,org.hibernate.validator.inter
 nal.constraintvalidators.hv.pl,org.hibernate.validator.internal.const
 raintvalidators.hv.time,org.hibernate.validator.internal.engine,org.h
 ibernate.validator.internal.engine.constraintdefinition,org.hibernate
 .validator.internal.engine.constraintvalidation,org.hibernate.validat
 or.internal.engine.groups,org.hibernate.validator.internal.engine.mes
 sageinterpolation,org.hibernate.validator.internal.engine.messageinte
 rpolation.el,org.hibernate.validator.internal.engine.messageinterpola
 tion.parser,org.hibernate.validator.internal.engine.messageinterpolat
 ion.util,org.hibernate.validator.internal.engine.path,org.hibernate.v
 alidator.internal.engine.resolver,org.hibernate.validator.internal.en
 gine.scripting,org.hibernate.validator.internal.engine.validationcont
 ext,org.hibernate.validator.internal.engine.valuecontext,org.hibernat
 e.validator.internal.engine.valueextraction,org.hibernate.validator.i
 nternal.metadata,org.hibernate.validator.internal.metadata.aggregated
 ,org.hibernate.validator.internal.metadata.aggregated.rule,org.hibern
 ate.validator.internal.metadata.core,org.hibernate.validator.internal
 .metadata.descriptor,org.hibernate.validator.internal.metadata.facets
 ,org.hibernate.validator.internal.metadata.location,org.hibernate.val
 idator.internal.metadata.provider,org.hibernate.validator.internal.me
 tadata.raw,org.hibernate.validator.internal.properties,org.hibernate.
 validator.internal.properties.javabean,org.hibernate.validator.intern
 al.util,org.hibernate.validator.internal.util.annotation,org.hibernat
 e.validator.internal.util.classhierarchy,org.hibernate.validator.inte
 rnal.util.logging,org.hibernate.validator.internal.util.logging.forma
 tter,org.hibernate.validator.internal.util.privilegedactions,org.hibe
 rnate.validator.internal.util.stereotypes,org.hibernate.validator.int
 ernal.xml,org.hibernate.validator.internal.xml.config,org.hibernate.v
 alidator.internal.xml.mapping,org.hibernate.validator.messageinterpol
 ation,org.hibernate.validator.metadata,org.hibernate.validator.parame
 ternameprovider,org.hibernate.validator.path,org.hibernate.validator.
 resourceloading,org.hibernate.validator.spi.cfg,org.hibernate.validat
 or.spi.group,org.hibernate.validator.spi.messageinterpolation,org.hib
 ernate.validator.spi.nodenameprovider,org.hibernate.validator.spi.pro
 perties,org.hibernate.validator.spi.resourceloading,org.hibernate.val
 idator.spi.scripting,javassist,javassist.bytecode,javassist.bytecode.
 analysis,javassist.bytecode.annotation,javassist.bytecode.stackmap,ja
 vassist.compiler,javassist.compiler.ast,javassist.convert,javassist.e
 xpr,javassist.runtime,javassist.scopedpool,javassist.tools,javassist.
 tools.reflect,javassist.tools.rmi,javassist.tools.web,javassist.util,
 javassist.util.proxy,org.reactivestreams,org.reflections,org.reflecti
 ons.adapters,org.reflections.scanners,org.reflections.serializers,org
 .reflections.util,org.reflections.vfs,org.yaml.snakeyaml,org.yaml.sna
 keyaml.comments,org.yaml.snakeyaml.composer,org.yaml.snakeyaml.constr
 uctor,org.yaml.snakeyaml.emitter,org.yaml.snakeyaml.env,org.yaml.snak
 eyaml.error,org.yaml.snakeyaml.events,org.yaml.snakeyaml.extensions.c
 ompactnotation,org.yaml.snakeyaml.external.biz.base64Coder,org.yaml.s
 nakeyaml.external.com.google.gdata.util.common.base,org.yaml.snakeyam
 l.introspector,org.yaml.snakeyaml.nodes,org.yaml.snakeyaml.parser,org
 .yaml.snakeyaml.reader,org.yaml.snakeyaml.representer,org.yaml.snakey
 aml.resolver,org.yaml.snakeyaml.scanner,org.yaml.snakeyaml.serializer
 ,org.yaml.snakeyaml.tokens,org.yaml.snakeyaml.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.configuration.persistence.listener.ConfigurationModelListener
 ";uses:="com.liferay.portal.configuration.persistence.listener",osgi.
 service;objectClass:List<String>="com.liferay.portal.vulcan.batch.eng
 ine.VulcanBatchEngineTaskItemDelegateRegistry";uses:="com.liferay.por
 tal.vulcan.batch.engine",osgi.service;objectClass:List<String>="com.l
 iferay.portal.vulcan.batch.engine.resource.VulcanBatchEngineImportTas
 kResource";uses:="com.liferay.portal.vulcan.batch.engine.resource",os
 gi.service;objectClass:List<String>="com.liferay.portal.vulcan.dto.co
 nverter.DTOConverterRegistry";uses:="com.liferay.portal.vulcan.dto.co
 nverter",osgi.service;objectClass:List<String>="com.liferay.portal.vu
 lcan.dto.converter.DTOMapper";uses:="com.liferay.portal.vulcan.dto.co
 nverter",osgi.service;objectClass:List<String>="com.liferay.portal.vu
 lcan.extension.ExtensionProviderRegistry";uses:="com.liferay.portal.v
 ulcan.extension",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.vulcan.jaxrs.JaxRsResourceRegistry";uses:="com.liferay.portal.v
 ulcan.jaxrs",osgi.service;objectClass:List<String>="com.liferay.porta
 l.vulcan.resource.OpenAPIResource";uses:="com.liferay.portal.vulcan.r
 esource",osgi.service;objectClass:List<String>="graphql.annotations.p
 rocessor.GraphQLAnnotationsComponent";uses:="graphql.annotations.proc
 essor",osgi.service;objectClass:List<String>="graphql.annotations.pro
 cessor.graphQLProcessors.GraphQLInputProcessor";uses:="graphql.annota
 tions.processor.graphQLProcessors",osgi.service;objectClass:List<Stri
 ng>="graphql.annotations.processor.graphQLProcessors.GraphQLOutputPro
 cessor";uses:="graphql.annotations.processor.graphQLProcessors",osgi.
 service;objectClass:List<String>="graphql.annotations.processor.retri
 evers.GraphQLExtensionsHandler";uses:="graphql.annotations.processor.
 retrievers",osgi.service;objectClass:List<String>="graphql.annotation
 s.processor.retrievers.GraphQLFieldRetriever";uses:="graphql.annotati
 ons.processor.retrievers",osgi.service;objectClass:List<String>="grap
 hql.annotations.processor.retrievers.GraphQLInterfaceRetriever";uses:
 ="graphql.annotations.processor.retrievers",osgi.service;objectClass:
 List<String>="graphql.annotations.processor.retrievers.GraphQLObjectH
 andler";uses:="graphql.annotations.processor.retrievers",osgi.service
 ;objectClass:List<String>="graphql.annotations.processor.retrievers.G
 raphQLObjectInfoRetriever";uses:="graphql.annotations.processor.retri
 evers",osgi.service;objectClass:List<String>="graphql.annotations.pro
 cessor.retrievers.GraphQLTypeRetriever";uses:="graphql.annotations.pr
 ocessor.retrievers",osgi.service;objectClass:List<String>="graphql.an
 notations.processor.searchAlgorithms.SearchAlgorithm";uses:="graphql.
 annotations.processor.searchAlgorithms",osgi.service;objectClass:List
 <String>="graphql.annotations.processor.typeFunctions.TypeFunction";u
 ses:="graphql.annotations.processor.typeFunctions",osgi.service;objec
 tClass:List<String>="graphql.annotations.processor.util.DataFetcherCo
 nstructor";uses:="graphql.annotations.processor.util",osgi.service;ob
 jectClass:List<String>="javax.servlet.Servlet,javax.servlet.http.Http
 Servlet";uses:="javax.servlet,javax.servlet.http",osgi.service;object
 Class:List<String>="javax.ws.rs.core.Feature";uses:="javax.ws.rs.core
 "
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.dep
 ot.service.DepotEntryLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.document.library.kernel.util.DLValida
 tor)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.headless.batch.engine.resource.v1_0.ImportTaskResource)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 language.Language)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.CompanyLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.GroupLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.ResourceActionLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.ResourcePermissionLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.RoleLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.util.Portal)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.Exp
 ressionConvert)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.odata.filter.FilterParserProvider)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.odata.sort
 .SortParserProvider)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.vulcan.batch.engine.resource.VulcanBatchEngi
 neImportTaskResource)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.vulcan.dto.converter.DTOConverterRegistry)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.vulcan.extension.ExtensionProviderRegistry)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.vulcan.jaxrs.JaxR
 sResourceRegistry)";effective:=active,osgi.service;filter:="(objectCl
 ass=graphql.annotations.processor.graphQLProcessors.GraphQLInputProce
 ssor)";effective:=active,osgi.service;filter:="(objectClass=graphql.a
 nnotations.processor.graphQLProcessors.GraphQLOutputProcessor)";effec
 tive:=active,osgi.service;filter:="(objectClass=graphql.annotations.p
 rocessor.retrievers.GraphQLExtensionsHandler)";effective:=active,osgi
 .service;filter:="(objectClass=graphql.annotations.processor.retrieve
 rs.GraphQLExtensionsHandler)";effective:=active;resolution:=optional,
 osgi.service;filter:="(objectClass=graphql.annotations.processor.retr
 ievers.GraphQLFieldRetriever)";effective:=active,osgi.service;filter:
 ="(objectClass=graphql.annotations.processor.retrievers.GraphQLFieldR
 etriever)";effective:=active;resolution:=optional,osgi.service;filter
 :="(objectClass=graphql.annotations.processor.retrievers.GraphQLInter
 faceRetriever)";effective:=active;resolution:=optional,osgi.service;f
 ilter:="(objectClass=graphql.annotations.processor.retrievers.GraphQL
 ObjectInfoRetriever)";effective:=active,osgi.service;filter:="(object
 Class=graphql.annotations.processor.retrievers.GraphQLObjectInfoRetri
 ever)";effective:=active;resolution:=optional,osgi.service;filter:="(
 objectClass=graphql.annotations.processor.retrievers.GraphQLTypeRetri
 ever)";effective:=active,osgi.service;filter:="(objectClass=graphql.a
 nnotations.processor.searchAlgorithms.SearchAlgorithm)";effective:=ac
 tive,osgi.service;filter:="(objectClass=graphql.annotations.processor
 .searchAlgorithms.SearchAlgorithm)";effective:=active;resolution:=opt
 ional,osgi.service;filter:="(objectClass=graphql.annotations.processo
 r.typeFunctions.TypeFunction)";effective:=active,osgi.service;filter:
 ="(objectClass=graphql.annotations.processor.typeFunctions.TypeFuncti
 on)";effective:=active;resolution:=optional;cardinality:=multiple,osg
 i.service;filter:="(objectClass=graphql.annotations.processor.util.Da
 taFetcherConstructor)";effective:=active,osgi.service;filter:="(objec
 tClass=graphql.execution.preparsed.PreparsedDocumentProvider)";effect
 ive:=active;resolution:=optional,osgi.service;filter:="(objectClass=g
 raphql.servlet.ExecutionStrategyProvider)";effective:=active;resoluti
 on:=optional,osgi.service;filter:="(objectClass=graphql.servlet.Graph
 QLContextBuilder)";effective:=active;resolution:=optional,osgi.servic
 e;filter:="(objectClass=graphql.servlet.GraphQLErrorHandler)";effecti
 ve:=active;resolution:=optional,osgi.service;filter:="(objectClass=gr
 aphql.servlet.GraphQLMutationProvider)";effective:=active;resolution:
 =optional;cardinality:=multiple,osgi.service;filter:="(objectClass=gr
 aphql.servlet.GraphQLProvider)";effective:=active;resolution:=optiona
 l;cardinality:=multiple,osgi.service;filter:="(objectClass=graphql.se
 rvlet.GraphQLQueryProvider)";effective:=active;resolution:=optional;c
 ardinality:=multiple,osgi.service;filter:="(objectClass=graphql.servl
 et.GraphQLRootObjectBuilder)";effective:=active;resolution:=optional,
 osgi.service;filter:="(objectClass=graphql.servlet.GraphQLServletList
 ener)";effective:=active;resolution:=optional;cardinality:=multiple,o
 sgi.service;filter:="(objectClass=graphql.servlet.GraphQLSubscription
 Provider)";effective:=active;resolution:=optional;cardinality:=multip
 le,osgi.service;filter:="(objectClass=graphql.servlet.GraphQLTypesPro
 vider)";effective:=active;resolution:=optional;cardinality:=multiple,
 osgi.service;filter:="(objectClass=graphql.servlet.InstrumentationPro
 vider)";effective:=active;resolution:=optional,osgi.service;filter:="
 (objectClass=org.osgi.service.cm.ConfigurationAdmin)";effective:=acti
 ve,osgi.service;filter:="(objectClass=org.osgi.service.component.runt
 ime.ServiceComponentRuntime)";effective:=active,osgi.extender;filter:
 ="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0))
 )",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=
 JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(ver
 sion=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.vulcan.internal.batch.e
 ngine.VulcanBatchEngineTaskItemDelegateAdaptorFactory.xml,OSGI-INF/co
 m.liferay.portal.vulcan.internal.batch.engine.VulcanBatchEngineTaskIt
 emDelegateRegistryImpl.xml,OSGI-INF/com.liferay.portal.vulcan.interna
 l.batch.engine.resource.VulcanBatchEngineImportTaskResourceImpl.xml,O
 SGI-INF/com.liferay.portal.vulcan.internal.configuration.persistence.
 listener.VulcanConfigurationModelListener.xml,OSGI-INF/com.liferay.po
 rtal.vulcan.internal.dto.converter.DTOConverterRegistryImpl.xml,OSGI-
 INF/com.liferay.portal.vulcan.internal.dto.converter.DTOMapperImpl.xm
 l,OSGI-INF/com.liferay.portal.vulcan.internal.extension.ExtensionProv
 iderRegistryImpl.xml,OSGI-INF/com.liferay.portal.vulcan.internal.grap
 hql.servlet.GraphQLServletExtender.xml,OSGI-INF/com.liferay.portal.vu
 lcan.internal.jaxrs.JaxRsResourceRegistryImpl.xml,OSGI-INF/com.lifera
 y.portal.vulcan.internal.jaxrs.feature.VulcanFeature.xml,OSGI-INF/com
 .liferay.portal.vulcan.internal.resource.OpenAPIResourceImpl.xml
Tool: Bnd-4.3.0.201909301554

